KABC::ResourceConfigWidget class Reference (kabc Library)

| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KABC::ResourceConfigWidget Class Reference

Base widget for editing resource settings. More...

`#include <resourceconfigwidget.h>`

Inheritance diagram for KABC::ResourceConfigWidget:

[legend]
Collaboration diagram for KABC::ResourceConfigWidget:

[legend]
List of all members.

## Public Slots
virtual void | loadSettings (KConfig *config)
| This method is called by the ResourceConfigDialog to load the resource specific settings.
virtual void | saveSettings (KConfig *config)
| This method is called by the ResourceConfigDialog to save the resource specific settings.
## Signals
void | setResourceName (const QString &name)
void | setReadOnly (bool value)
void | setFast (bool value)
## Public Member Functions
| ResourceConfigWidget (QWidget *parent=0, const char *name=0)
| Constructor.
virtual void | setEditMode (bool value)
| Sets the widget to 'edit' mode.

## Detailed Description

Base widget for editing resource settings.

The loadSettings() and saveSettings() slots should be reimplemented to store the resource specific settings.

Definition at line 36 of file resourceconfigwidget.h.

## Constructor & Destructor Documentation

ResourceConfigWidget::ResourceConfigWidget | ( | QWidget * | parent = 0,
|  | const char * | name = 0
| ) |

| Constructor. Definition at line 25 of file resourceconfigwidget.cpp. References KStdAccel::name().

## Member Function Documentation

void ResourceConfigWidget::setEditMode | ( | bool | value | ) | `[virtual]`

| Sets the widget to 'edit' mode. Reimplement this method if you are interested in the mode change (to disable some GUI element for example). By default the widget is in 'add' mode. Definition at line 38 of file resourceconfigwidget.cpp.

void ResourceConfigWidget::loadSettings | ( | KConfig * | config | ) | `[virtual, slot]`

  | This method is called by the ResourceConfigDialog to load the resource specific settings. You have to reimplement it. Parameters:
  config | points to a config object where you can read the settings. Don't use KConfig::setGroup() on this pointer.
Definition at line 30 of file resourceconfigwidget.cpp.

void ResourceConfigWidget::saveSettings | ( | KConfig * | config | ) | `[virtual, slot]`

  | This method is called by the ResourceConfigDialog to save the resource specific settings. You have to reimplement it. Parameters:
  config | points to a config object where you can write the settings. Don't use KConfig::setGroup() on this pointer.
Definition at line 34 of file resourceconfigwidget.cpp.

The documentation for this class was generated from the following files:

- resourceconfigwidget.h
- resourceconfigwidget.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:29:49 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001